ComRaidComRaid Docs
API referenceContacts

Upsert contact attributes

PUT
/contacts/{external_user_id}/attributes

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Path Parameters

external_user_id*string

Request Body

application/json
  1. body
attributes*

Free-form Customer-supplied Attribute key/value pairs (prefer PUT /contacts/{external_user_id} with attributes). Keys must be non-empty and ≤ 128 characters; values ≤ 4KB serialized; at most 200 keys per Contact. A JSON null value removes that Attribute.

Response Body

Updated

application/json
  1. response
contact_id?string
Formatuuid
external_user_id?string
updated_attributes?array<string>

Present when attributes were included in the request

Example Request
curl -X PUT 'https://api.comraid.io/contacts/string/attributes' \  -H 'Content-Type: application/json' \  -d '{  "attributes": {}}'
Example Response
{  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "external_user_id": "string",  "updated_attributes": [    "string"  ]}